package cc.smtweb.system.bpm.web.sys.user.menu;

import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: yaoq
 * @Date: 2022-08-02 12:52
 * @Desc:
 */
public class MenuNode extends DefaultEntity {
    /**
     * 菜单ID
     */
    public long getMenu() {
        return getLong("menu");
    }

    /**
     * 菜单ID
     */
    public void setMenu(long menu) {
        put("menu", menu);
    }

    /**
     * 标题
     */
    public String getLabel() {
        return getStr("label");
    }

    /**
     * 标题
     */
    public void setLabel(String label) {
        put("label", label);
    }

    /**
     * 图标
     */
    public String getIcon() {
        return getStr("icon");
    }

    /**
     * 图标
     */
    public void setIcon(String icon) {
        put("icon", icon);
    }

    /**
     * 图标
     */
    public int getSeq() {
        return getInt("seq");
    }

    /**
     * 图标
     */
    public void setSeq(int seq) {
        put("seq", seq);
    }

    public void setChildren(List<SwMap> children) {
        put("children", children);
    }

    public List<SwMap> getChildren() {
        Object obj = get("children");
        return obj == null ? new ArrayList<>(): (List<SwMap>) obj;
    }
}
